﻿namespace UltraToolbarsManagerFileMenuButtonImage
{
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinToolbars;

    public partial class Form1 : Form
    {
        public Form1()
        {
            this.InitializeComponent();

            //  With image with exact size as the size of the file menu button
            this.ultraToolbarsManager1.Ribbon.FileMenuButtonAppearance.Image = Properties.Resources.ig_fileMenuButton;
            this.ultraToolbarsManager1.Ribbon.FileMenuButtonCaptionVisible = false;
        }

        private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
        {
            if(e.Tool.Key == "UseExactSizeImage")
            {
                var checkBoxTool = (StateButtonTool)e.Tool;
                if(checkBoxTool != null)
                {
                    if(checkBoxTool.Checked == true)
                    {
                        //  With empty space string set as file menu button caption
                        this.ultraToolbarsManager1.Ribbon.FileMenuButtonAppearance.Image = Properties.Resources.ig_small;
                        this.ultraToolbarsManager1.Ribbon.FileMenuButtonAppearance.ImageHAlign = Infragistics.Win.HAlign.Center;
                        this.ultraToolbarsManager1.Ribbon.FileMenuButtonCaption = " ";
                        this.ultraToolbarsManager1.Ribbon.FileMenuButtonCaptionVisible = true;
                    }
                    else
                    {
                        //  With image with exact size as the size of the file menu button
                        this.ultraToolbarsManager1.Ribbon.FileMenuButtonAppearance.Image = Properties.Resources.ig_fileMenuButton;
                        this.ultraToolbarsManager1.Ribbon.FileMenuButtonCaptionVisible = false;
                    }
                }
            }
        }
    }
}
